# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['poetry_core',
 'poetry_core._vendor',
 'poetry_core._vendor.attr',
 'poetry_core._vendor.backports',
 'poetry_core._vendor.backports.configparser',
 'poetry_core._vendor.enum',
 'poetry_core._vendor.functools32',
 'poetry_core._vendor.glob2',
 'poetry_core._vendor.importlib_metadata',
 'poetry_core._vendor.importlib_metadata.docs',
 'poetry_core._vendor.importlib_metadata.tests',
 'poetry_core._vendor.importlib_metadata.tests.data',
 'poetry_core._vendor.jsonschema',
 'poetry_core._vendor.jsonschema.benchmarks',
 'poetry_core._vendor.jsonschema.tests',
 'poetry_core._vendor.packaging',
 'poetry_core._vendor.pathlib2',
 'poetry_core._vendor.pkginfo',
 'poetry_core._vendor.pkginfo.tests',
 'poetry_core._vendor.pyrsistent',
 'poetry_core._vendor.tomlkit',
 'poetry_core.json',
 'poetry_core.masonry',
 'poetry_core.masonry.builders',
 'poetry_core.masonry.utils',
 'poetry_core.packages',
 'poetry_core.packages.constraints',
 'poetry_core.packages.utils',
 'poetry_core.semver',
 'poetry_core.spdx',
 'poetry_core.utils',
 'poetry_core.vcs',
 'poetry_core.version',
 'tests',
 'tests.fixtures.project_with_multi_constraints_dependency.project',
 'tests.masonry',
 'tests.masonry.builders',
 'tests.masonry.builders.fixtures.case_sensitive_exclusions.my_package',
 'tests.masonry.builders.fixtures.case_sensitive_exclusions.my_package.Foo',
 'tests.masonry.builders.fixtures.case_sensitive_exclusions.my_package.FooBar',
 'tests.masonry.builders.fixtures.case_sensitive_exclusions.my_package.bar',
 'tests.masonry.builders.fixtures.complete.my_package',
 'tests.masonry.builders.fixtures.complete.my_package.sub_pkg1',
 'tests.masonry.builders.fixtures.complete.my_package.sub_pkg2',
 'tests.masonry.builders.fixtures.complete.my_package.sub_pkg3',
 'tests.masonry.builders.fixtures.default_with_excluded_data.my_package',
 'tests.masonry.builders.fixtures.default_with_excluded_data_toml.my_package',
 'tests.masonry.builders.fixtures.exclude_nested_data_toml.my_package',
 'tests.masonry.builders.fixtures.extended',
 'tests.masonry.builders.fixtures.extended.extended',
 'tests.masonry.builders.fixtures.invalid_case_sensitive_exclusions.my_package',
 'tests.masonry.builders.fixtures.invalid_case_sensitive_exclusions.my_package.Bar.foo.bar',
 'tests.masonry.builders.fixtures.invalid_case_sensitive_exclusions.my_package.Foo',
 'tests.masonry.builders.fixtures.invalid_case_sensitive_exclusions.my_package.FooBar',
 'tests.masonry.builders.fixtures.localversionlabel',
 'tests.masonry.builders.fixtures.module1',
 'tests.masonry.builders.fixtures.prerelease',
 'tests.masonry.builders.fixtures.simple_version',
 'tests.masonry.builders.fixtures.single_python',
 'tests.masonry.builders.fixtures.source_file.src',
 'tests.masonry.builders.fixtures.source_package.src.package_src',
 'tests.masonry.builders.fixtures.src_extended',
 'tests.masonry.builders.fixtures.src_extended.src.extended',
 'tests.masonry.builders.fixtures.with-include',
 'tests.masonry.builders.fixtures.with-include.extra_dir',
 'tests.masonry.builders.fixtures.with-include.extra_dir.sub_pkg',
 'tests.masonry.builders.fixtures.with-include.for_wheel_only',
 'tests.masonry.builders.fixtures.with-include.package_with_include',
 'tests.masonry.builders.fixtures.with-include.src.src_package',
 'tests.masonry.builders.fixtures.with-include.tests',
 'tests.masonry.builders.fixtures.with_url_dependency.with_url_dependency',
 'tests.masonry.builders.fixtures.with_vcs_dependency.with_vcs_dependency',
 'tests.masonry.utils',
 'tests.masonry.utils.fixtures.with_includes',
 'tests.masonry.utils.fixtures.with_includes.bar',
 'tests.masonry.utils.fixtures.with_includes.extra_package.some_dir',
 'tests.packages',
 'tests.packages.constraints',
 'tests.packages.utils',
 'tests.semver',
 'tests.vcs']

package_data = \
{'': ['*'],
 'poetry_core._vendor': ['jsonschema/schemas/*'],
 'poetry_core.json': ['schemas/*'],
 'poetry_core.spdx': ['data/*'],
 'tests': ['fixtures/project_with_multi_constraints_dependency/*'],
 'tests.masonry': ['builders/fixtures/case_sensitive_exclusions/*',
                   'builders/fixtures/complete/*',
                   'builders/fixtures/complete/my_package/data1/*',
                   'builders/fixtures/complete/my_package/sub_pkg2/data2/*',
                   'builders/fixtures/default_with_excluded_data/*',
                   'builders/fixtures/default_with_excluded_data/my_package/data/*',
                   'builders/fixtures/default_with_excluded_data/my_package/data/sub_data/*',
                   'builders/fixtures/default_with_excluded_data_toml/*',
                   'builders/fixtures/default_with_excluded_data_toml/my_package/data/*',
                   'builders/fixtures/default_with_excluded_data_toml/my_package/data/sub_data/*',
                   'builders/fixtures/exclude_nested_data_toml/*',
                   'builders/fixtures/exclude_nested_data_toml/my_package/data/*',
                   'builders/fixtures/exclude_nested_data_toml/my_package/data/sub_data/*',
                   'builders/fixtures/exclude_nested_data_toml/my_package/puplic/*',
                   'builders/fixtures/exclude_nested_data_toml/my_package/puplic/item1/*',
                   'builders/fixtures/exclude_nested_data_toml/my_package/puplic/item1/subitem/*',
                   'builders/fixtures/exclude_nested_data_toml/my_package/puplic/item2/*',
                   'builders/fixtures/invalid_case_sensitive_exclusions/*',
                   'builders/fixtures/source_file/*',
                   'builders/fixtures/source_package/*',
                   'builders/fixtures/with_url_dependency/*',
                   'builders/fixtures/with_vcs_dependency/*',
                   'utils/fixtures/with_includes/not_a_python_pkg/*']}

extras_require = \
{':python_version >= "2.7" and python_version < "2.8"': ['typing>=3.7.4.1,<4.0.0.0']}

setup_kwargs = {
    'name': 'poetry-core',
    'version': '1.0.0a4',
    'description': 'Core utilities for Poetry',
    'long_description': '',
    'author': 'Sébastien Eustace',
    'author_email': 'sebastien@eustace.io',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/python-poetry/core',
    'packages': packages,
    'package_data': package_data,
    'extras_require': extras_require,
    'python_requires': '>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*',
}


setup(**setup_kwargs)
